/* ************************************* */
/* *********** MEDIA QUERIES *********** */
/* ************************************* */

/* ------------- BIG MONITOR UP ------------- */
@media screen and (min-width: 1800px) {
  :root {
    --size-p: 24px;
    --margin-page: 200px;
  }
  .home__hero .player {
    width: 600px;
    height: 800px;
  }
  .home__hero .embedded-history {
    height: 500px;
  }
  .home__hero .hero__title {
    font-size: 140px;
  }
  .home__hero .hero__subtitle {
    font-size: 36px;
  }
}

/* ------------- MEDIUM MONITOR DOWN ------------- */
@media screen and (max-width: 1400px) {
}

/* ------------- TABLET LANDSCAPE DOWN ------------- */
@media screen and (max-width: 1200px) {
  .home__djs-producers .cards-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* ------------- TABLET PORTRAIT DOWN ------------- */
@media screen and (max-width: 900px) {
  h1,
  .h1 {
    font-size: 72px;
  }
  nav {
    margin-left: 3rem;
    margin-right: 3rem;
  }
  .subtitle {
    font-size: 18px;
  }
  section {
    padding: 3rem 1.5rem;
  }
  .section__columns {
    flex-direction: column;
  }
  .section__col {
    width: 100%;
  }
  .home__hero .section__col {
    width: auto;
  }
  .section__title .title {
    font-size: 64px;
    margin-left: 1rem;
    margin-bottom: 2rem;
    padding: 1rem 2rem;
  }
  .section__title .line {
    margin-top: -1rem;
    width: 100%;
    left: 0;
  }
  .home__hero .col--left {
    justify-content: center;
    align-items: center;
    padding-top: 5rem;
  }
  .home__hero .hero__title,
  .home__hero .hero__subtitle {
    text-align: center;
  }
  .home__hero .hero__title {
    font-size: 124px;
  }
  .home__hero .player {
    width: 450px;
  }
  .home__on-demand .col--left {
    width: 100%;
  }
  .home__on-demand .col--right {
    width: auto;
    padding: 3rem 1.5rem;
  }
  /* Connect */
  .home__connect .col--left,
  .home__connect .col--right {
    width: 100%;
  }
  .home__connect .col--left {
    padding: 0 1rem;
  }
  .home__connect .contact-list span {
    width: 3rem;
  }
  .home__connect .col--right {
    justify-content: center;
  }
  .home__connect .social-links {
    justify-content: center;
    margin: 3rem 0;
  }
  .home__connect .form-container {
    display: flex;
    justify-content: center;
    margin-left: -3px;
  }
  .form-container .wpcf7 {
    width: 100%;
  }
  /* Footer */
  footer .col--left {
    display: none;
  }
  footer .col--right {
    padding: 1rem 1rem 3rem;
  }
  footer .footer__text {
    padding: 0;
  }
}

/* ------------- MOBILE DEVICES DOWN ------------- */
@media screen and (max-width: 600px) {
  html,
  body {
    max-width: 100vw;
    overflow-x: hidden;
  }
  h1,
  .h1 {
    font-size: 72px;
  }
  .subtitle {
    font-size: 18px;
  }
  section {
    padding: 3rem 0;
  }
  .section__columns {
    flex-direction: column;
  }
  .section__title {
    justify-content: flex-start;
  }
  .section__title .title {
    font-size: 32px;
    margin-left: 1rem;
    margin-bottom: 2rem;
    padding: 1rem 0 1rem;
  }
  .section__title .line {
    display: none;
  }
  .section__text {
    font-size: 16px;
  }
  form {
    width: 100%;
  }
  nav {
    margin-left: 1rem;
    margin-right: 1rem;
  }
  .mobile-nav {
    display: block;
  }
  .nav__ul {
    display: none;
  }
  .nav__ul.active {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    position: absolute;
    width: 100%;
    height: 100vh;
    top: 100%;
    left: 0;
    padding-top: 1.5rem;
    padding-bottom: 3rem;
    background-color: var(--clr-main);
  }
  .nav__ul.active .ul__link {
    font-size: 24px;
    padding-top: 1rem;
  }
  .nav__ul.active button {
    font-size: 24px;
    margin: 1rem 0;
  }

  .nav__ul li .btn-alert {
    margin-inline: 1rem;
  }

  /* Hero */
  .home__hero .section__columns {
    flex-direction: column;
  }
  .home__hero .section__col {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .home__hero .col--left {
    height: 50vh;
    padding: 0;
  }
  .home__hero .hero__title {
    font-size: 72px;
    text-align: center;
  }
  .home__hero .hero__subtitle {
    font-size: 18px;
    text-align: center;
  }
  .home__hero .player {
    width: 100%;
    margin-bottom: 3rem;
    border-radius: 0;
    padding: 1.5rem 0;
  }
  .home__hero .player > .embedded-player,
  .home__hero .player > .embedded-history {
    border-radius: 0;
  }
  /* DJs & Producers */
  .home__djs-producers {
    padding-left: 1rem;
    padding-right: 1rem;
  }
  .home__djs-producers .cards-grid {
    grid-template-columns: 1fr;
    grid-auto-rows: auto;
  }
  /* Music On-Demand */
  .home__on-demand .col--left {
    width: 100%;
    display: flex;
    order: 2;
  }
  .home__on-demand .on-demand-container {
    width: 100%;
    border-radius: 0;
    padding: 1.5rem 0;
  }
  .home__on-demand .col--right {
    width: 100%;
    padding: 1rem;
    order: 1;
  }
  .home__on-demand .on-demand-container {
    border: 0;
  }
  .home__on-demand .on-demand-container > .embedded-on-demand {
    border-radius: 0;
  }
  /* Our Schedule */
  .home__schedule .schedule-container {
    padding: 1.5rem 0;
    border-radius: 0;
    border: none;
  }
  .home__schedule .schedule-container > .embedded-schedule {
    border-radius: 0;
  }
  /* Connect */
  .home__connect .col--left,
  .home__connect .col--right {
    width: 100%;
  }
  .home__connect .col--left {
    padding: 0 1rem;
  }
  .home__connect .contact-list span {
    width: 3rem;
  }
  .home__connect .col--right {
    display: block;
  }
  .home__connect .social-links {
    justify-content: center;
    margin: 3rem 0;
  }
  .home__connect .form-container {
    display: flex;
    justify-content: center;
    margin-left: -3px;
  }
  .form-container .wpcf7 {
    width: 100%;
  }
  /* Footer */
  footer .col--left {
    display: none;
  }
  footer .col--right {
    padding: 1rem 1rem 3rem;
  }
  footer .footer__text {
    padding: 0;
  }
}
